.navbar {
  height: 49px;
  top: 0;
  padding: 0;
  border-bottom: 1px solid var(--color-border);
  z-index: 1000;
  flex: none;
  justify-content: stretch;
  align-items: stretch;
}
.navbar.navbar-dark {
  background: var(--color-primary);
}

.navbar-left>.nav-link {
  border-right: 1px solid var(--color-border);
}
.navbar-right>.nav-link {
  border-left: 1px solid var(--color-border);
}

.nav-link-inner {
  border-left: 1px solid var(--color-border);
}

.nav-link:hover {
  background-color: var(--color-secondary);
}
.nav-link.active {
  background: var(--color-secondary);
}

.nav-dropdown-toggle {
  display: flex;
  width: 100%;
  justify-content: space-between;
  align-items: center;
  overflow: hidden;
  &:after {
    margin: 0 0.5rem !important;
  }
}

.nav-link-content {
  height: 100%;
  display: flex;
  align-items: center;
  overflow: hidden;

  &>.nav-link-icon {
    display: flex;
    width: 20px;
    height: 20px;
    flex: none;
    align-items: center;
    margin: 0 0.6rem;
  }
}
.navbar-right .nav-link-content:after,
.navbar-left .nav-link-content:after {
  display: inline-block;
  content: "";
  width: 1px;
  height: 32px;
  background-color: var(--color-border);
}

.user-avatar {
  overflow: hidden;
  width: 32px;
  height: 32px;
  border-radius: 16px;
}
.token-icon-lg {
  width: 32px;
  height: 32px;
  flex: none;
}
.token-icon {
  width: 24px;
  height: 24px;
  flex: none;
}
.token-icon-xs {
  width: 18px;
  height: 18px;
  flex: none;
}
.token-dropdown-item {
  width: 344px;
  overflow: hidden;
}
.network-icon {
  display: inline-block;
  font-size: inherit;
  width: 1em;
  height: 1em;
  overflow: visible;
  vertical-align: -0.125em;
}

.home-button{
  display: flex;
  width: 3rem;
  align-items: center;
  justify-content: center;
  cursor: pointer;
  svg, i{
      color: white;
  }
  border-right: 1px solid var(--color-border);
  &.active{
    background-color: var(--color-primary);
  }
}

.dropdown-menu-right-auto{
  left: auto !important;
  .btn.btn-secondary.active{
    background: var(--color-secondary);
  }
}

.dropdown-menu-position-left{
  left: -15.4rem !important;
}

.dropdown-item-network,
.dropdown-item-network:visited,
.dropdown-item-network:hover,
.dropdown-item-network:active,
.dropdown-item-network:focus{
  background: none;
}

.nav-dropdown-toggle-testnet:after{
  display: none;
}

.nav-dropdown-testnet-list{
  margin: 0;
  padding: 0;
  border-radius: 5px;
  // width: 5rem;
  overflow: hidden;
  .btn{
    border-radius: 5px 0 0 5px;
    padding-right: 0.15rem;
    flex: 1;
  }
  &:hover .icon{
    background-color: rgba(#d0e3ff, 0.6);
  }
  .icon{
    background-color: rgba(hsl(224, 18%, 90%), 0.6);
    padding: 0 0.2rem;
    border-left: 1px solid var(--color-bg);
    border-radius: 0 5px 5px 0;
    &.active{
      background-color: var(--color-primary);
    }
    .fas-icon{
      width: 0.5rem;
    }
  }
}

.testnet-dropdowm-menu{
  width: auto; 
  min-width: auto;
  background-color: var(--color-primary);
  .dropdown-item{
    font-size: 0.875rem;
    line-height: 1.5;
  }
  .dropdown-item:hover,
  .dropdown-item:active{
    background-color: rgba(#d0e3ff, 0.6);
  }
}
